Bug 18789 - ssh ``dumb'' about DSA keys held by ssh-agent
Summary: ssh ``dumb'' about DSA keys held by ssh-agent
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-10 09:19 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 16:34:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-10 09:19:25 UTC
When ssh connects to a machine that doesn't recognize any of the DSA keys
held by ssh-agent, ssh will try ~/.ssh/id_dsa even if ssh-agent has already
provided an unlocked copy of ~/.ssh/id_dsa.

This means that the user is pointlessly prompted for a passphrase for a DSA
key that won't be accepted.

    M.E.O.

Comment 1 David D. Johnson 2000-11-02 13:30:12 UTC
This is not quite true in my experience--
Openssh to ssh2 server version 2.3.0 works fine with the agent and no prompting.
Openssh to ssh2 server version 2.1.0 doesn't work with the information it gets
from the agent, but it is able to get the same key from the same id file after
it prompts for the passphrase.  

	-- ddj

Comment 2 Sarantis Paskalis 2000-12-22 11:53:20 UTC
Check the permissions of the remote ~/.ssh/authorized_keys2 file.
The manpage suggests some.

Sarantis

Comment 3 Pekka Savola 2001-01-12 20:05:12 UTC
Do you see this behaviour with more recent versions of OpenSSH?  
Have you checked the permissions?

If there are still problems, please provide more data by running ssh -v -v -v and sshd -d -d -d.


Comment 4 Tomas Mraz 2005-02-02 16:34:28 UTC
No response from reporter.



Note You need to log in before you can comment on or make changes to this bug.